<table mat-table [dataSource]="packetData">

    <ng-container matColumnDef="title">
        <th mat-header-cell *matHeaderCellDef colspan="10" class="table-title">
            <div class="container">
                <h3>Packet Name:  </h3>
                <h4> {{ packetExtract.packetName }}</h4>
            </div>
        </th>
    </ng-container>
    <tr mat-header-row *matHeaderRowDef="['title']"></tr>
    
    <ng-container matColumnDef="name">
        <mat-header-cell *matHeaderCellDef>Name.</mat-header-cell>
        <mat-cell class="name_column" *matCellDef="let packet">{{ packet.parameter.name }}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="type">
        <mat-header-cell *matHeaderCellDef>Type.</mat-header-cell>
        <mat-cell *matCellDef="let packet">{{ packet.parameter.type.engType }}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="value">
        <mat-header-cell *matHeaderCellDef>Value.</mat-header-cell>
        <mat-cell *matCellDef="let packet">{{ getPacketValues(packet) }}</mat-cell>
    </ng-container>

    <mat-header-row *matHeaderRowDef="displayedCol"></mat-header-row>
    <mat-row *matRowDef="let myRowData; columns: displayedCol"></mat-row>

</table>

<div class="btns">
    <button mat-raised-button class="view-btn" routerLink="/telemetry-packet-history">
        <mat-icon>undo</mat-icon>Go Back
    </button>
</div>
